#ifndef BACKEND_H
#define BACKEND_H

typedef char bool;

#define MAX_REPOS	128

int cvsadmin_open(char *, bool);
int cvsadmin_set_user_info(int, char *, char *, char *, char *);
int cvsadmin_rename_user(int, char *, char *);
int cvsadmin_get_user_info(int, char *, char **, char **, char **);
int cvsadmin_del_user(int , char *);
char **cvsadmin_get_user_list(int );
void cvsadmin_free_str_list(char **);
int cvsadmin_close(int );
void cvsadmin_sync(int);
void cvsadmin_cleanup();

#endif /* BACKEND_H */
